##########################################################################
# Makefile.in for Samba VFS modules 
###########################################################################

CC=@CC@
CFLAGS=@CFLAGS@
LDFLAGS=@LDFLAGS@

VFS_OBJS=audit.so skel.so block/block.so recycle/recycle.so

SHELL=/bin/sh

default: $(VFS_OBJS)

# Pattern rules

.SUFFIXES: .c .o .lo .so

.lo.so:
	@echo Linking $<
	@$(CC) -o $@ $< $(LDFLAGS)

.c.lo:
	@echo Compiling $<
	@$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

audit.so: audit.lo

skel.so: skel.lo

block/block.so: block/block.lo

recycle/recycle.so: recycle/recycle.lo

# Misc targets

clean:
	rm -rf .libs */.libs
	rm -f core *~ */*~ *% *.bak *.o */*.o *.lo */*.lo $(VFS_OBJS)

distclean: clean
	rm -f Makefile
	rm -f config.status config.cache config.log
